--[[ script de gestion de la classe SpriteGameplay --]]

.namespace SpriteGameplay

function OnEnable()
	--on ne le fait pas de maniére automatique mais au cas par cas
end


-- on intercepte le click pour les objets cachés
function OnWbpMouseLDown(x,y)
	if self.CanClickOn() then
		OPLog.Log("on a intercepté le click sur "..self.Name.." !")
		return true
	end
	return false
end

--[[
-- on intercepte le click pour les objets cachés
function OnWbpMouseRDown(x,y)
	if self.CanClickOn() then
		OPLog.Log("on a intercepté le click sur "..self.Name.." !")
		return true
	end
	
	return false
end
--]]

function SetCursor()
	if self.CanClickOn() then
		OPUnitFactory.GetUnit("Cursor","Cursor").ChangeCursorToGeneric()
		return true
	end
	return false
end


function CanClickOn()
	return self.Flags_Visible 
		and ( GameVariables.IsEqual("CurrentGamePhase", "SearchSite") or GameVariables.IsEqual('CurrentGamePhase','Closeup'))
		and self.NoIntercept==false
end